commit:     4cab8b1cd40389faca36deb252c8128ca77b6d18
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 10 03:37:37 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sun Nov 10 03:43:58 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4cab8b1c

net-mail/qmhandle: bump EAPI and stuff

Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 net-mail/qmhandle/qmhandle-1.3.2.ebuild | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

diff --git a/net-mail/qmhandle/qmhandle-1.3.2.ebuild 
b/net-mail/qmhandle/qmhandle-1.3.2.ebuild
index ca310ec47ed..b335ed852a2 100644
--- a/net-mail/qmhandle/qmhandle-1.3.2.ebuild
+++ b/net-mail/qmhandle/qmhandle-1.3.2.ebuild
@@ -1,9 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=0
-
-inherit eutils
+EAPI=7
 
 DESCRIPTION="Qmail message queue tool"
 HOMEPAGE="http://qmhandle.sourceforge.net/";
@@ -20,16 +18,15 @@ RDEPEND="virtual/qmail
 "
 DEPEND=""
 
-src_unpack() {
-       unpack ${A}
-       cd "${S}"
+src_prepare() {
        sed \
                -e 's|/usr/local/bin/svc|/usr/bin/svc|g' \
                -e 's|/service/qmail-deliver|/var/qmail/supervise/qmail-send|g' 
\
-               -i qmHandle
+               -i qmHandle || die "Fixing qmHandle failed"
+       eapply_user
 }
 
 src_install() {
        dodoc README HISTORY
-       dobin qmHandle || die "dobin failed"
+       dobin qmHandle
 }

Reply via email to